[Numpy-discussion] numarray 0.5 -> python setup.py build fails

Francesc Alted falted at openlc.org
Tue May 6 07:21:10 CDT 2003


I guess this is a problem with permissions. It seems like if setup.py is
trying to install numarray on the Python site-packages directory. It should
not, but meanwhile, run this command as root and it should works. Ah!, do
not forget to delete (or better, move) the old site-packages/numarray in
order to do a problem-free fresh installation. Remember:

> > 1. Due to some module renamings, numarray-0.5 will not install
> > correctly on top of an existing numarray installation. Before
> > installing numarray-0.5 remove your old version of numarray.

Cheers,

A Dimarts 06 Maig 2003 03:24, Sebastian Haase va escriure:
> Hi,
> I just tried this :
> haase at baboon:~/numarray-0.5: python2.2 setup.py build --gencode
> <snip>
>
> creating /usr/lib/python2.2/site-packages/numarray
> error: could not create '/usr/lib/python2.2/site-packages/numarray':
> Permission denied
>
> I guess this is the same bug I ran into a couple month ago - I already now
> a workaround ...
>
> - Sebastian
>

-- 
Francesc Alted




More information about the Numpy-discussion mailing list